ElgohChannel="self";
BreaktimeString="Breaktime! Be back in TIME minutes!";

function Elgoh_Info()
	Elgoh_Print("|cFF00FF00Welcome to the LGoH addon!");
	Elgoh_Print("Shift Clicking the top button in the Fun Panel will allow you to change the \"Legend\"");
	local elgohcommands = {"Standard Commands:",
							"|cFF00FF00/elgoh|r - Shows the main interface",
							"|cFF00FF00/elgoh link itemname@rarity|r - Spoofs an item. Taurast@Epic links [Taurast] with Purple Colouring.",
							"|cFF00FF00/elgoh post to <channel name>|r - Chooses where stuff is posted (Party, Guild, Say, Self , Trade, General etc.)",
							"|cFF00FF00/elgoh dkp|r - Toggles the showing of prices on any epic gear",
							"",
							"Officer Commands:",
							"|cFF00FF00/breaktime <time in minutes>|r - Starts a DBM timer for the specified time (defaults to 10, Requires DBM)",
							"|cFF00FF00/elgoh clean|r - Cleans inactive guild members, inactive for 30 days or 20 days for alts",
							"|cFF00FF00/elgoh officer/o|r - Opens the officer interface",
							"|cFF00FF00/elgoh request sync|r - Syncs the Spec Database with everyone in guild (automatic on login)",
							"left click is for mainspec, right click is for Offspec",
							"(Shift clicking the DKP button will post a list to whatever channel you have selected)"};	
	for i=1, #elgohcommands, 1 do
		Elgoh_Print(elgohcommands[i]);
	end
end

SLASH_ELGOH1, SLASH_ELGOH2 = "/elgoh", "/lgoh";
SlashCmdList["ELGOH"] = function(msg, editBox)
	msg = string.lower(msg);
    if(msg=="fact") then
		Elgoh_Fact();
	elseif(string.find(msg, "post to")) then
		channel=string.sub(msg, 9);
		Elgoh_Print("Output set to "..channel);
    elseif(msg=="clean") then
		if (Elgoh_Officer()) then Elgoh_Rottgut(); end
		EDB_Prune();
	elseif(msg=="info" or msg=="help" or msg=="about") then
		Elgoh_Info()
	elseif(msg=="options" or msg=="config") then
		InterfaceOptionsFrame_OpenToCategory("Elgoh");
	elseif(msg=="dkp") then
		if(showValues==1) then 
			showValues=0;
		else
			showValues=1;
		end
	elseif(msg=="auto") then
		Elgoh_AutoRaid();
	elseif(msg=="request sync") then
		SendAddonMessage("EDB", "request sync", "GUILD");
	else
		if(Elgoh_Officer()) then 
			frmOfficer:Show(); 
		end
    end
end

function Elgoh_DKPWhisper(who)
	if (ELGOHDB[who]) then
		SendChatMessage("Detailed Results for "..who..":", "WHISPER", nil, who);
		SendChatMessage("Priority: "..ELGOHDB[who]["current"], "WHISPER", nil, who);
		SendChatMessage("EP: "..ELGOHDB[who]["earned"], "WHISPER", nil, who);
		SendChatMessage("GP: "..ELGOHDB[who]["spent"], "WHISPER", nil, who);
	else
		SendChatMessage("No DKP exists for "..who, "WHISPER", nil, who);
	end		
end

function Elgoh_Officer()
	guildName, guildRankName, guildRankIndex = GetGuildInfo("player");
	if(guildRankIndex<=PromoteLimit) then 
		return true; 
	else 
		Elgoh_Elgoh_Print("You must be an officer to do that"); 
		return false;
	end
end

SLASH_ANOO1 = "/anoo"
SlashCmdList["ANOO"] = function(msg, editBox)
	msg = strlower(msg);
	if(msg=="version") then
		SendAddonMessage("anoo", "version", "GUILD");
	else
		ReloadUI();
	end
end

SLASH_DISBAND1 = "/disband"
SlashCmdList["DISBAND"] = function(msg, editBox)
	for i=0, GetNumRaidMembers(), 1 do 
		name, rank,_,_,_,_,_,_,_, role, isML = GetRaidRosterInfo(i); -- 2=RL, 1=Assist, 0=raider
		if(name~=UnitName("player")) then UninviteUnit(name); end
	end
end

SLASH_LGOHB1 = "/breaktime"
SlashCmdList["LGOHB"] = function(msg, editBox)
local Time=msg;
	if(Time=="") then  Time=10; end
	if(IsAddOnLoaded("DBM-Core")) then
		SendChatMessage(string.gsub(BreaktimeString, "TIME", Time), "RAID")
		DBM:CreatePizzaTimer(60*Time, "Breaktime", 1, "the Officers")
	else
		Elgoh_Print("Timers require Deadly Boss Mods");
	end
end

function Elgoh_Print(message)
	message="|cff66ff33Elgoh:|r "..message;
	print(message);
end

function PostTo(str)
local channel=ElgohChannel;
--for index,channel in ipairs(ElgohChannel) do
	--if(ElgohDebug==1) then print(index..":"..channel); end
	if(channel=="raid" or channel=="say" or channel=="party" or channel=="guild" or channel=="officer") then
		if((channel=="party" and GetNumPartymembers()==0) or (channel=="raid" and GetNumRaidMembers()==0)) then Elgoh_Print("You are not in a "..channel); return; end
		SendChatMessage(str, channel); 
	else
		if(channel=="self") then
			Elgoh_Print(str);
		else
			channel, name= GetChannelName(channel);
			if(channel~=nil) then SendChatMessage(str,"CHANNEL",nil,channel); end
		end
	end
--end
end